Name:           encryptpad
Version:        0.3.2.5
Release:        %mkrel 1
Summary:        Text editor for password protecting and encrypting files
License:        GPLv2
URL:            https://github.com/evpo/EncryptPad
Group:		Office
Source0:        %{name}-%{version}.tar.xz
Source1:	icons.tar.xz
Patch0:		encryptpad.patch
BuildRequires:  botan-devel
BuildRequires:	zlib-devel
BuildRequires:  qt5-devel
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	qt5svg-devel
BuildRequires:	qt5xml-devel
BuildRequires:	qt5concurrent-devel
BuildRequires:	qt5multimedia-devel
BuildRequires:	qt5help-devel
BuildRequires:	qt5network-devel
BuildRequires:	qt5sql-devel
BuildRequires:	qt5widgets-devel
BuildRequires:	qttools5

%description
EncryptPad is a minimalist secure text editor and binary encryptor that
implements RFC 4880 Open PGP format: symmetrically encrypted, compressed
and integrity protected. The editor can protect files with passwords,
key files or both.

This package installs both GUI as well as CLI utilities of EncryptPad.

%prep
%setup -qn encryptpad0_3_2_5_src
tar -xJf %SOURCE1

%build
./configure.sh --all --use-system-libs

%install
rm -rf %buildroot

# debian build follows this
install -Dpm 0644 images/icns.iconset/icon_16x16.png images/icns.iconset/16/%name.png
install -Dpm 0644 images/icns.iconset/icon_32x32.png images/icns.iconset/32/%name.png
install -Dpm 0644 images/icns.iconset/icon_128x128.png images/icns.iconset/128/%name.png

mkdir -p %buildroot%{_bindir}
mkdir -p %buildroot%{_datadir}/applications
mkdir -p %buildroot%{_datadir}/mime/packages

install -m 0755 bin/release/encryptcli %buildroot%{_bindir}/encryptcli
install -m 0755 bin/release/encryptpad %buildroot%{_bindir}/encryptpad
install -m 0644 %name.desktop %buildroot%{_datadir}/applications/%name.desktop
install -m 0644 %name.xml %buildroot%{_datadir}/mime/packages/%name.xml

install -Dpm 0644 icons/16/%name.png %buildroot%{_datadir}/icons/hicolor/16x16/apps/%name.png
install -Dpm 0644 icons/22/%name.png %buildroot%{_datadir}/icons/hicolor/22x22/apps/%name.png
install -Dpm 0644 icons/24/%name.png %buildroot%{_datadir}/icons/hicolor/24x24/apps/%name.png
install -Dpm 0644 icons/32/%name.png %buildroot%{_datadir}/icons/hicolor/32x32/apps/%name.png
install -Dpm 0644 icons/48/%name.png %buildroot%{_datadir}/icons/hicolor/48x48/apps/%name.png
install -Dpm 0644 icons/128/%name.png %buildroot%{_datadir}/icons/hicolor/128x128/apps/%name.png

%files
%doc CHANGES.* README.htm README.md *.txt
%{_bindir}/encrypt*
%{_datadir}/applications/%name.desktop
%{_datadir}/icons/hicolor/*/apps/%name.png
%{_datadir}/mime/packages/%name.xml


%changelog
* Tue Dec 11 2018 adrianomorselli <adrianomorselli> 0.3.2.5-1uplos2018
- Source imported from WebUpd8 PPA
- Build for uplos
